import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const topic of client.topics.list()) {
console.log(topic.id);
}import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
page = client.topics.list()
page = page.data[0]
print(page.id)curl --request GET \
--url https://api.avidoai.com/v0/topics \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'
{
"data": [
{
"id": "789e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"title": "Code Quality",
"baseline": 0.85,
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z"
}
],
"pagination": {
"skip": 0,
"limit": 25,
"total": 1,
"totalPages": 1
}
}List topics
Retrieves a paginated list of topics with optional filtering.
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const topic of client.topics.list()) {
console.log(topic.id);
}import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
page = client.topics.list()
page = page.data[0]
print(page.id)Authorizations
Your unique Avido API key
Your unique Avido Application ID
Query Parameters
Number of items to skip before starting to collect the result set.
0 <= x <= 90071992547409910
Number of items to include in the result set.
1 <= x <= 10025
Field to order the result set by.
createdAt, modifiedAt, title, status, id "createdAt"
Order direction.
asc, desc "desc"
Filter by topic title (case-insensitive)
"code quality"
Filter topics by scope status. When true, only returns in-scope topics. When false, only returns out-of-scope topics.
"true"
Filter topics by task verification status. When true, only returns topics where all tasks are verified. When false, only returns unverified topics.
"false"
Filter topics by knowledge base verification status. When true, only returns topics where the knowledge base has been verified. When false, only returns unverified topics.
"false"
Filter topics by policies verification status. When true, only returns topics where the policies have been verified. When false, only returns unverified topics.
"false"